Subject: Re: Detected Hardware Unit Hang on Intel Wired Ethernet

From: Greg KH <[email-masked]>
Date: Thu, 5 Jan 2012 08:46:06 -0800

On Thu, Jan 05, 2012 at 10:00:39AM +0530, Pratyush Anand wrote:
> On 1/5/2012 12:52 AM, Greg KH wrote:
> >On Wed, Jan 04, 2012 at 04:31:36PM +0530, Pratyush Anand wrote:
> >>Adding PCI mailing list too, as problem is coming only when MSI is enabled.
> >>
> >>If I connect an PCIe analyzer, I see that at the time of issue
> >>MRd(64) for 32 words has been issued with a wrong 64 bit address
> >>from ethernet card to my RC.
> >>In the normal course it always issues MRd(32) only.
> >
> >Bug in your pcie firmware controller?
> >
> >.
> >
> 
> when you say "Bug in your pcie firmware controller?", is it RC's
> software or EP's software?

I don't know, but I would place the bet on your motherboard controller,
not the device.

greg k-h